Summary: Process accounting tools
Name: psacct
Version: 6.2
Release: 1
Copyright: GPL
Group: Utilities/System
Source: ftp://alpha.gnu.ai.mit.edu/gnu/acct-6.2.tar.gz
Patch: acct-config.patch
BuildRoot: /tmp/psacct-root
%description
The tools necessary for accounting the activities of processes are
included here.

%prep
%setup -n acct-6.2
%patch -p1 -b .sopwith
%build
./configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr $RPM_BUILD_ROOT/var/log
make prefix=$RPM_BUILD_ROOT/usr install
gzip -9f $RPM_BUILD_ROOT/usr/info/*
for I in pacct usracct savacct; do
	:> $RPM_BUILD_ROOT/var/log/$I
	chmod 0600 $RPM_BUILD_ROOT/var/log/$I
	chown root:root $RPM_BUILD_ROOT/var/log/$I
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%config /var/log/pacct
%config /var/log/usracct
%config /var/log/savacct
/usr/sbin/accton
/usr/sbin/sa
/usr/sbin/dump-utmp
/usr/sbin/dump-acct
/usr/bin/ac
/usr/bin/lastcomm
/usr/man/man1/ac.1
/usr/man/man1/lastcomm.1
/usr/man/man8/sa.8
/usr/man/man8/accton.8
/usr/info/accounting.info.gz
